nokogiri dependency?

Isaac Hollander's Avatar

Isaac Hollander

18 Aug, 2016 07:41 PM

Hi, all,

I'm not a ruby hacker, so please forgive me if the answer is obvious.

I'm trying to install arachni onto Ubuntu 16.04, and am running into an package dependency issue.

root@ip-172-30-1-172:/root# gem install arachni
ERROR: While executing gem ... (Gem::DependencyError)
Unresolved dependency found during sorting - nokogiri (>= 1.5.9) (requested by loofah-2.0.3) root@ip-172-30-1-172:/root# gem install nokogiri
Building native extensions. This could take a while...
Successfully installed nokogiri-1.6.8
Parsing documentation for nokogiri-1.6.8
Done installing documentation for nokogiri after 1 seconds
1 gem installed
root@ip-172-30-1-172:/root# gem install arachni
ERROR: While executing gem ... (Gem::DependencyError)
Unresolved dependency found during sorting - nokogiri (>= 1.5.9) (requested by loofah-2.0.3)

nokogiri is in my PATH. Is there a workaround for this issue?

Thanks!

  1. Support Staff 1 Posted by Tasos Laskos on 18 Aug, 2016 07:43 PM

    Tasos Laskos's Avatar

    This is a known issue which will be fixed in the next release.
    Why are you working with the gem though if you're not familiar with Ruby?
    It'll be better if you used the self-contained packages: http://www.arachni-scanner.com/download/
    Or, if you want the latest and greatest, the nightly packages: http://downloads.arachni-scanner.com/nightlies/

  2. 2 Posted by Isaac Hollander on 18 Aug, 2016 07:58 PM

    Isaac Hollander's Avatar

    The self-contained package looked like it replaced a lot of /usr which I wasn't really interested in.

    root@ip-172-30-1-172:/root# tar ztvf arachni-1.4-0.5.10-linux-x86_64.tar.gz |grep usr | wc -l
    3926

    I'm trying to integrate with OpenVAS. Do you have a timeframe for the next release?

  3. Support Staff 3 Posted by Tasos Laskos on 18 Aug, 2016 10:38 PM

    Tasos Laskos's Avatar

    That's to make sure that the env is sane and contains the expected and tested dependencies.
    There's no timeframe for the release, but since you'd like to work from source you can do that: https://github.com/Arachni/arachni/tree/experimental#source

    Just ignore the parts about setting up a dev env since you want to provide your own.

    You may also need to run rake install at the end to install Arachni executables in your PATH.

    Cheers

  4. Tasos Laskos closed this discussion on 24 Aug, 2016 12:14 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac